Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
byocInfrastructure
Create BYOC Infrastructure
curl --request POST \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "regionId": "ap-northeast-1",
  "accountId": "<string>",
  "availabilityZoneSuffixes": [
    "a"
  ],
  "vpcCidrRange": "<string>"
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "id": "<string>",
    "state": "infra-ready",
    "accountName": "<string>",
    "regionId": "ap-northeast-1",
    "cloudProvider": "gcp"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Body

application/json
regionId
enum<string>

Region in which the BYOC infrastructure will be located

Available options:
ap-northeast-1,
ap-south-1,
ap-southeast-1,
ap-southeast-2,
eu-central-1,
eu-west-1,
eu-west-2,
me-central-1,
us-east-1,
us-east-2,
us-west-2,
us-east1,
us-central1,
europe-west4,
asia-southeast1,
eastus,
eastus2,
westus3,
germanywestcentral
accountId
string

Cloud account ID the BYOC infrastructure is configured for

availabilityZoneSuffixes
enum<string>[]

List of availability zone suffixes

Available options:
a,
b,
c,
d,
e,
f
vpcCidrRange
string

CIDR range for VPC

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object